<?php
/**
 * Organisation Fixture
 */
class OrganisationFixture extends CakeTestFixture {

/**
 * Import
 *
 * @var array
 */
	public $import = array('model' => 'Organisation');

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'raisonsociale' => 'Libriciel SCOP',
			'telephone' => '0400000000',
			'fax' => null,
			'adresse' => '836 Rue du Mas de Verchant, 34000 Montpellier',
			'email' => 'contact-ls_recette-dp@libriciel.coop',
			'sigle' => null,
			'siret' => '18000000000000',
			'ape' => '6202B',
			'logo' => '1/1591740964',
			'nomresponsable' => 'VERT',
			'prenomresponsable' => 'Céline',
			'emailresponsable' => 'cvert_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0600000000',
			'fonctionresponsable' => 'Président-directeur Général',
			'dpo' => 11,
			'numerodpo' => '001',
			'force' => 4,
			'responsable_id' => 1,
			'created' => '2020-06-10 00:16:04',
			'modified' => '2020-06-10 00:29:59',
			'prefixenumero' => 'DPO-',
			'numeroregistre' => 1,
			'civiliteresponsable' => 'Mme.',
			'rgpd' => 1,
			'usemodelepresentation' => 1,
			'usefieldsredacteur' => 0,
            'emaildpo' => 'dpo@libriciel.test'
		),
		array(
			'id' => 2,
			'raisonsociale' => 'Montpellier Méditerranée Métropole',
			'telephone' => '0411111111',
			'fax' => '0511111111',
			'adresse' => '1 Place Georges Frêche, 34267 Montpellier',
			'email' => 'contact-3m_recette-dp@libriciel.coop',
			'sigle' => '3M',
			'siret' => '26000000000000',
			'ape' => '8411Z',
			'logo' => null,
			'nomresponsable' => 'CREME',
			'prenomresponsable' => 'Cédric',
			'emailresponsable' => 'ccreme_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0611111111',
			'fonctionresponsable' => 'Maire',
			'dpo' => 15,
			'numerodpo' => '002',
			'force' => 4,
			'responsable_id' => 2,
			'created' => '2020-06-10 00:16:08',
			'modified' => '2020-06-10 00:19:03',
			'prefixenumero' => 'DPO-',
			'numeroregistre' => 0,
			'civiliteresponsable' => 'M.',
			'rgpd' => 0,
			'usemodelepresentation' => 1,
            'usefieldsredacteur' => 0,
            'emaildpo' => 'dpo@3M.test'
		),
		array(
			'id' => 3,
			'raisonsociale' => 'Métropole Européenne de Lille',
			'telephone' => '0422222222',
			'fax' => '0522222222',
			'adresse' => '1, rue du Ballon, CS 50749, 59034 Lille CEDEX',
			'email' => 'contact-mel_recette-dp@libriciel.coop',
			'sigle' => 'MEL',
			'siret' => '34000000000000',
			'ape' => '8411Z',
			'logo' => null,
			'nomresponsable' => 'ROUGE',
			'prenomresponsable' => 'Alain',
			'emailresponsable' => 'arouge_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0622222222',
			'fonctionresponsable' => 'Maire',
			'dpo' => 19,
			'numerodpo' => '003',
			'force' => 4,
			'responsable_id' => 3,
			'created' => '2020-06-10 00:16:11',
			'modified' => '2020-06-10 00:19:06',
			'prefixenumero' => 'DPO-',
			'numeroregistre' => 0,
			'civiliteresponsable' => 'M.',
			'rgpd' => 0,
			'usemodelepresentation' => 1,
            'usefieldsredacteur' => 0,
            'emaildpo' => 'dpo@MEL.test'
		),
		array(
			'id' => 4,
			'raisonsociale' => 'Metz Métropole',
			'telephone' => '0433333333',
			'fax' => '0533333333',
			'adresse' => '11 Boulevard Solidarité, 57070 Metz',
			'email' => 'contact-mm_recette-dp@libriciel.coop',
			'sigle' => 'MM',
			'siret' => '42000000000000',
			'ape' => '8411Z',
			'logo' => null,
			'nomresponsable' => 'CYAN',
			'prenomresponsable' => 'Isabelle',
			'emailresponsable' => 'icyan_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0633333333',
			'fonctionresponsable' => 'Maire',
			'dpo' => null,
			'numerodpo' => null,
			'force' => 4,
			'responsable_id' => 4,
			'created' => '2020-06-10 00:16:14',
			'modified' => '2020-06-10 00:16:14',
			'prefixenumero' => 'DPO-',
			'numeroregistre' => 0,
			'civiliteresponsable' => 'Mme.',
			'rgpd' => 0,
			'usemodelepresentation' => 1,
            'usefieldsredacteur' => 0,
            'emaildpo' => 'dpo@MM.test'
		),
		array(
			'id' => 5,
			'raisonsociale' => 'Eurométropole de Strasbourg',
			'telephone' => '0444444444',
			'fax' => null,
			'adresse' => '1 Parc de l\'Étoile, 67076 Strasbourg',
			'email' => 'contact-es_recette-dp@libriciel.coop',
			'sigle' => null,
			'siret' => '59000000000000',
			'ape' => '8411Z',
			'logo' => null,
			'nomresponsable' => 'GRENAT',
			'prenomresponsable' => 'Sylvie',
			'emailresponsable' => 'sgrenat_recette-dp@libriciel.coop',
			'telephoneresponsable' => '0644444444',
			'fonctionresponsable' => 'Maire',
			'dpo' => null,
			'numerodpo' => null,
			'force' => 4,
			'responsable_id' => 5,
			'created' => '2020-06-10 00:16:17',
			'modified' => '2020-06-10 00:16:17',
			'prefixenumero' => 'DPO-',
			'numeroregistre' => 0,
			'civiliteresponsable' => 'Mme.',
			'rgpd' => 0,
			'usemodelepresentation' => 1,
            'usefieldsredacteur' => 0,
            'emaildpo' => 'dpo@ES.test'
		),
	);

}
